Subject: bug#19865: tar-untar-buffer: should honor default-directory

From: Eli Zaretskii <[email-masked]>
Date: Sat, 14 Feb 2015 14:40:44 +0200

> From: Ivan Shmakov <[email-masked]>
> Date: Sat, 14 Feb 2015 12:27:45 +0000
> 
> >>>>> Eli Zaretskii <[email-masked]> writes:
> 
> […]
> 
>  > The doc string of tar-untar-buffer says:
> 
>  >   "Extract all archive members in the tar-file into the current
>  > directory."
> 
>  > which seems to match what it does.  Why isn't default-directory of
>  > tar-data-buffer the right choice for doing that?
> 
> 	Because the default-directory of the tar-mode buffer may be
> 	changed by the user (with M-x cd or otherwise) with the intent
> 	of directing tar-untar-buffer to extract the archive members
> 	into an arbitrary directory, per its docstring.

Sounds like an obscure possibility to me.  If we want to give the user
an option to extract to a specific directory, why not make that
directory an argument of tar-untar-buffer, and prompt for it when the
function is called with a prefix argument?  That's how we usually let
the user change such defaults.